position.h File Reference

MPD client library. More...

Go to the source code of this file.

## Enumerations

enum | mpd_position_whence { MPD_POSITION_ABSOLUTE , MPD_POSITION_AFTER_CURRENT , MPD_POSITION_BEFORE_CURRENT }

## Functions

const char * | mpd_position_whence_char (enum mpd_position_whence whence)

## Detailed Description

MPD client library.

Do not include this header directly. Use mpd/client.h instead.

Definition in file position.h.

## Enumeration Type Documentation

## mpd_position_whence

enum mpd_position_whence

Enumerator
MPD_POSITION_ABSOLUTE | The given number is an absolute position. 0 is the first song.
MPD_POSITION_AFTER_CURRENT | The given number is a position after the current song. 0 means right after the current song.
MPD_POSITION_BEFORE_CURRENT | The given number is a position before the current song. 0 means right before the current song.

Definition at line 42 of file position.h.

## Function Documentation

## mpd_position_whence_char()

const char* mpd_position_whence_char | ( | enum mpd_position_whence | whence | ) |

Looks up the character of the specified whence position.

Returns
  the charater, or "" if the whence position is absolute or not valid.